List referenced projects
curl --request GET \
--url {schemes}://api.upsun.com/ref/projects \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/ref/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/ref/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}References
List referenced projects
Retrieves a list of projects referenced by a trusted service. Clients cannot construct the URL themselves. The correct URL will be provided in the HAL links of another API response, in the _links object with a key like ref:projects:0.
GET
/
ref
/
projects
List referenced projects
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The list of comma-separated project IDs generated by a trusted service.
The signature of this request generated by a trusted service.
Response
OK
A map of referenced projects indexed by the organization ID.
The referenced project, or null if it no longer exists.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?